<html>
  <head><title>Girls In Tech - DevOps Workshop</title></head>
  <script>
    const BASE_URL = 'https://dmack-git-dev.girlsintech.crystaldelta.net'
    // const BASE_URL = 'https://<RELACE_ME|dmack-git-dev>.girlsintech.crystaldelta.net'
    // const BASE_URL = 'http://localhost:9000'
    
    document.addEventListener("DOMContentLoaded", function(event) { 
      fetch(BASE_URL + '/api/v1/hello')
        .then((resp) => resp.json())
        .then(function(data) {
          console.log('D> data', data);
          const msg = data.welcomeMsg
          document.getElementById('welcomeMsg').innerHTML = msg
        }).catch(function (error) {
          console.log('E> error', error);
        });
    });
    
  </script>
  <body>
    <h1>Hello from the Bucket!!</h1>

    <div id="welcomeMsg"></div>
  </body>
</html>